AspectJWeaverMessageHandler (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.aspectj

## Class AspectJWeaverMessageHandler

- java.lang.Object
- - org.springframework.aop.aspectj.AspectJWeaverMessageHandler

- All Implemented Interfaces:
    org.aspectj.bridge.IMessageHandler

      public class AspectJWeaverMessageHandler
      extends Object
      implements org.aspectj.bridge.IMessageHandler

  Implementation of AspectJ's `IMessageHandler` interface that routes AspectJ weaving messages through the same logging system as the regular Spring messages.

  Pass the option...

  `-XmessageHandlerClass:org.springframework.aop.aspectj.AspectJWeaverMessageHandler`

  to the weaver; for example, specifying the following in a "`META-INF/aop.xml` file:

  `<weaver options="..."/>`

  Since:
    2.0
  Author:
    Adrian Colyer, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface org.aspectj.bridge.IMessageHandler

      `SYSTEM_ERR, SYSTEM_OUT, THROW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectJWeaverMessageHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dontIgnore(org.aspectj.bridge.IMessage.Kind messageKind)`
    `boolean` | `handleMessage(org.aspectj.bridge.IMessage message)`
    `void` | `ignore(org.aspectj.bridge.IMessage.Kind kind)`
    `boolean` | `isIgnoring(org.aspectj.bridge.IMessage.Kind messageKind)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectJWeaverMessageHandler

          public AspectJWeaverMessageHandler()

  - ### Method Detail

    - #### handleMessage

          public boolean handleMessage(org.aspectj.bridge.IMessage message)
                                throws org.aspectj.bridge.AbortException

      Specified by:
        `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
      Throws:
        `org.aspectj.bridge.AbortException`

    - #### isIgnoring

          public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind messageKind)

      Specified by:
        `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`

    - #### dontIgnore

          public void dontIgnore(org.aspectj.bridge.IMessage.Kind messageKind)

      Specified by:
        `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`

    - #### ignore

          public void ignore(org.aspectj.bridge.IMessage.Kind kind)

      Specified by:
        `ignore` in interface `org.aspectj.bridge.IMessageHandler`